Error Failed to synchronize cache for repo
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 2 of 2
  1. #1
    Join Date
    May 2011
    Posts
    16
    Linux Chrome 71.0.3578.98

    Error Failed to synchronize cache for repo

    Just starting getting this error. Was able to get updates and install new sofware a few days ago not I am getting this error.

    Failed to synchronize cache for repo 'fedora-modular'

    I disabled fedora-modular and got the same error for the next repo.

    Not sure what is going on, I have connectivity to internet so that is no the issue.

    Thoughts?

  2. #2
    Join Date
    May 2011
    Posts
    16
    Linux Chrome 71.0.3578.98

    Re: Error Failed to synchronize cache for repo

    Here it the log

    2019-01-27T08:52:30Z DEBUG Loaded plugins: builddep, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repodiff, repograph, repomanage, reposync
    2019-01-27T08:52:30Z DEBUG DNF version: 4.0.9
    2019-01-27T08:52:30Z DDEBUG Command: dnf makecache --timer
    2019-01-27T08:52:30Z DDEBUG Installroot: /
    2019-01-27T08:52:30Z DDEBUG Releasever: 29
    2019-01-27T08:52:30Z DEBUG cachedir: /var/cache/dnf
    2019-01-27T08:52:30Z DDEBUG Base command: makecache
    2019-01-27T08:52:30Z DDEBUG Extra commands: ['makecache', '--timer']
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-cisco-openh264.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora.repo; Configuration: OptionBinding with id "failovermethod" does not exist
    2019-01-27T08:52:30Z DEBUG Making cache files for all metadata files.
    2019-01-27T08:52:30Z DEBUG tcg-discord: has expired and will be refreshed.
    2019-01-27T08:52:30Z DEBUG fedora-modular: has expired and will be refreshed.
    2019-01-27T08:52:30Z DEBUG updates-modular: has expired and will be refreshed.
    2019-01-27T08:52:30Z DEBUG updates: has expired and will be refreshed.
    2019-01-27T08:52:30Z DEBUG fedora: has expired and will be refreshed.
    2019-01-27T08:52:30Z DEBUG google-chrome: has expired and will be refreshed.
    2019-01-27T08:52:30Z DEBUG slack: has expired and will be refreshed.
    2019-01-27T08:52:30Z DEBUG repo: downloading from remote: tcg-discord
    2019-01-27T08:53:00Z DEBUG Cannot download 'https://copr-be.cloud.fedoraproject.org/results/tcg/discord/fedora-29-x86_64/': Cannot download repomd.xml: Curl error (28): Timeout was reached for https://copr-be.cloud.fedoraproject....ata/repomd.xml [Connection timed out after 30008 milliseconds].
    2019-01-27T08:53:00Z DEBUG repo: downloading from remote: fedora-modular
    2019-01-27T08:53:03Z DEBUG error: Status code: 404 for https://download-ib01.fedoraproject....repomd.xml.asc (https://download-ib01.fedoraproject....repomd.xml.asc).
    2019-01-27T08:53:04Z DEBUG repo fedora-modular: 0xA20AA56B429476B4 already imported
    2019-01-27T08:53:07Z DEBUG error: Status code: 404 for https://download-ib01.fedoraproject....repomd.xml.asc (https://download-ib01.fedoraproject....repomd.xml.asc).
    2019-01-27T08:53:07Z DEBUG Cannot download 'https://mirrors.fedoraproject.org/metalink?repo=fedora-modular-29&arch=x86_64': GPG verification is enabled, but GPG signature repomd.xml.asc is not available: Status code: 404 for https://download-ib01.fedoraproject....repomd.xml.asc.
    2019-01-27T08:53:07Z DDEBUG Cleaning up.
    2019-01-27T08:53:07Z SUBDEBUG
    Traceback (most recent call last):
    File "/usr/lib/python3.7/site-packages/dnf/repo.py", line 566, in load
    ret = self._repo.load()
    File "/usr/lib64/python3.7/site-packages/libdnf/repo.py", line 503, in load
    return _repo.Repo_load(self)
    RuntimeError: Failed to synchronize cache for repo 'fedora-modular'
    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
    File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
    File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
    File "/usr/lib/python3.7/site-packages/dnf/cli/cli.py", line 1100, in run
    return self.command.run()
    File "/usr/lib/python3.7/site-packages/dnf/cli/commands/makecache.py", line 50, in run
    return self.base.update_cache(timer)
    File "/usr/lib/python3.7/site-packages/dnf/base.py", line 368, in update_cache
    self.fill_sack(load_system_repo=False, load_available_repos=True) # performs the md sync
    File "/usr/lib/python3.7/site-packages/dnf/base.py", line 400, in fill_sack
    self._add_repo_to_sack(r)
    File "/usr/lib/python3.7/site-packages/dnf/base.py", line 135, in _add_repo_to_sack
    repo.load()
    File "/usr/lib/python3.7/site-packages/dnf/repo.py", line 568, in load
    raise dnf.exceptions.RepoError(str(e))
    dnf.exceptions.RepoError: Failed to synchronize cache for repo 'fedora-modular'
    2019-01-27T08:53:07Z CRITICAL Error: Failed to synchronize cache for repo 'fedora-modular'

Similar Threads

  1. Error: Failed to synchronize cache for repo 'updates'
    By bobx001 in forum Installation, Upgrades and Live Media
    Replies: 1
    Last Post: 12th January 2018, 09:25 PM
  2. Replies: 3
    Last Post: 26th August 2017, 05:14 PM
  3. Error: Failed to synchronize cache for repo 'fedora'
    By sajjads24 in forum Installation, Upgrades and Live Media
    Replies: 0
    Last Post: 10th August 2017, 02:51 AM
  4. [SOLVED]
    Error: failed to synchronize cache for repo 'update'
    By pccobbler in forum Installation, Upgrades and Live Media
    Replies: 2
    Last Post: 31st December 2016, 01:58 AM
  5. Error : Failed to synchronize cache for repo
    By tech291083 in forum Using Fedora
    Replies: 1
    Last Post: 24th February 2016, 05:28 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •